
uniform mat4 u_view_matrix;

in vec2 attrib_position;
in vec4 attrib_texture_info;
in int attrib_atlas;
in vec2 attrib_uv;

out vec2 v_uv;
flat out vec4 v_texture_info;
flat out int v_atlas;

void main() {
    gl_Position = u_view_matrix * vec4(attrib_position, 0.0, 1.0);

    v_uv = attrib_uv;
    v_texture_info = attrib_texture_info;
    v_atlas = attrib_atlas;
}
